/*
 * iDefrag default class set
 *
 */

display class "Fragmented" {
  match files where file is fragmented
  color "#ff0000"
}

class "Kernel" {
  match files where name = "/mach_kernel"
  color "#ffaa00"
}

class "Swapfile" {
  match files where name ~= "^swapfile[0-9]+" and file is within "/private/var/vm"
  match files where name = "/private/var/vm/sleepimage"
  color "#ffcc00"
}

class "System Libraries" {
  match files where not mode ~!= 0111 and file is within "/usr/lib"
  match files where name ~!= "^.*\.h$" and file is within "/System/Library/Frameworks"
  color "#ffee00"
  sort on containing folder, name
}

class "Kernel Extensions" {
  match files where name = "/System/Library/Extensions.kextcache"
  match files where name = "/System/Library/Extensions.mkext"
  match files where file is within "/System/Library/Extensions" or file is within "/Library/Extensions"
  color "#e4f500"
  sort on containing folder, name
}

class "BSD" {
  match files where file is within "/usr" or file is within "/private" or file is within "/bin" or file is within "/sbin"
  color "#aaff00"
  sort on containing folder, name
}

class "Developer" {
  match files where file is within "/Developer" or file is within "/Applications/Xcode.app"
  color "#ffbfff"
  sort on containing folder, name
}
 
class "Applications" {
  match files where file is within "/Applications"
  color "#66ff00"
  sort on containing folder, name
}

class "Immovable Data" {
  match files where name = "/PGPWDE01" or name = "/PGPWDE02"
  color "#333"
  locked 
}

// Temporary files get deleted at startup so we don't optimize those
class "Temporary Files" {
  match files where file is within "/tmp/"
  color "#ff7d26"
  don't optimize
}

/* If you want "Unclassified" to appear in the Key, uncomment this class.

class "Unclassified" {
  match all files
  priority 1000000
  color "#9999cc"
}

*/

order {
  "Allocation File"
  "Journal Info Block"
  "Journal"
  "Extents File"
  "Startup File"
  "Catalog File"
  "User Quota File"
  "Group Quota File"
  "Hot Files B-Tree"
  "Kernel"
  "Kernel Extensions"
  "System Libraries"
  "BSD"
  "Developer"
  "Applications"
}
